# -*- coding: utf-8 -*-

from cms.admin.pageadmin import PageAdmin
from cms.models.pagemodel import Page
from django.contrib import admin
from django.utils.translation import ugettext_lazy as _

from jmb.core.admin.options import ExtendibleModelAdmin
from acomea.custom_cms.models import Category, PageCategory


class CategoryAdmin(ExtendibleModelAdmin):
    list_display = ('id', 'name', 'get_edit_icon', 'get_delete_icon')
    fieldsets = (
        (_('logs admin'), {
            'fields': (
                'creator', 'date_create',
                'last_modifier', 'date_last_modify',
            ),
            'classes': ('collapse',)
        }),
        (None, {
            'fields': ('name',),
        }),
    )
    search_fields = ('name',)
admin.site.register(Category, CategoryAdmin)


class ExtendedPageAdmin(admin.TabularInline):
    model = PageCategory
    extra = 0
PageAdmin.inlines.append(ExtendedPageAdmin)
PageAdmin.list_filter.append('categories__category')
admin.site.unregister(Page)
admin.site.register(Page, PageAdmin)
